@page "/Todo"

<h1>Todo (@todos.Count(todo => !todo.IsDone))</h1>

<ul>
    @foreach (var todo in todos)
    {
        <li>
           <input type="checkbox" @bind="todo.IsDone" />
          <span>@todo.Title</span>
        </li>
    }
</ul>

<input placeholder="Something todo" @bind="newTodo" />
<button @onclick="AddTodo"> Add todo </button>

@code{
    private IList<TodoItem> todos = new List<TodoItem>();
    private string newTodo; 

    private void AddTodo() {

        if(!string.IsNullOrWhiteSpace(newTodo))
        {
            todos.Add(new TodoItem{ Title = newTodo});
            newTodo = string.Empty;
        }
    }
}